neutron (2:28.0.0~b2+git20260121.28.762694d1bd-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 28.0.0.0b2
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * d/patches/*: refresh patches
  * New upstream snapshot from 762694d1bd6092060ce08c29d12575e303ae2973
    for OpenStack Gazpacho. (LP: #2137590)
  * d/neutron-common.install: Fix file paths.
  * d/p/install-missing-files.patch: Extend for all subdirectories.
  * d/neutron-api*: Update neutron endpoint.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 21 Jan 2026 16:04:01 -0800

neutron (2:27.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 01 Oct 2025 15:52:43 +0200

neutron (2:27.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 15:23:09 -0700

neutron (2:26.0.1+git2025070714.71962255de-0ubuntu2) questing; urgency=medium

  * d/neutron_sudoers: Drop override causing compatibility issues with
    sudo-rs. (LP: #2120708)
  * d/control: Ensure ml2 plugin has openvswitch-common dependency.
  * Transition neutron-server to dummy package:
    - d/control: Replace neutron-server with neutron-rpc-server,
      neutron-api, and neutron-periodic-workers.
    - d/control: Remove conflicts between neutron-periodic-workers and
      neutron-server.
    - d/neutron-server.*: Drop service definitions.
    - d/t/neutron-server: Drop autopkgtest.
    - d/tests/control: Update test dependencies.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 19 Aug 2025 15:00:19 +0200

neutron (2:26.0.1+git2025070714.71962255de-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs. 
  * d/rules: Cleanup /debian/python3-neutron/usr/etc

 -- Myles Penner <myles.penner@canonical.com>  Thu, 17 Jul 2025 09:22:27 -0700

neutron (2:26.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.
  * d/tests: Flush tables prior to neutron-api autopkgtest

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 13:26:13 -0700

neutron (2:26.0.0~b2+git2025030311.1ddcb3e890-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * Remove linuxbridge support, dropped upstream:
    - d/control: Drop neutron-linuxbridge-agent package.
    - d/rules: Drop misc systemd configuration handling for linuxbridge
      cleanup configuration.
    - d/mans/neutron-linuxbridge-agent.8: Drop, no longer needed.
    - d/neutron-common.install: Drop install of linuxbridge_agent.ini.
    - d/neutron-common.manpages: Drop install of neutron-linuxbridge-agent.8.
    - d/neutron-{plugin-}linuxbridge-agent.*: Drop packaging files for
      neutron-linuxbridge-agent package.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Mar 2025 09:49:17 +0000

neutron (2:26.0.0~b2+git2025011509.585ea689d5-0ubuntu2) plucky; urgency=medium

  [ Myles Penner ]
  * Add new neutron-rpc-server and neutron-api packages (LP: #2085620):
    - d/control: Add new binary packages for -rpc-server and -api
    - d/neutron-rpc-server.init.in: Add init system template for rpc-server.
    - d/neutron-api.conf: Create config file for mod_wsgi.
    - d/neutron-api.apache2: Reference d/neutron.conf for config.

  [ James Page ]
  * d/control,neutron-ovn-maintenance-worker.init.in: Add new package
    for the standalone OVN maintenance worker.
  * d/tests/control,neutron-api: Add new autopkgtest for API plus
    standalone worker daemons.
  * d/neutron-common.default: Provide ML2 plugin configuration file for
    split worker daemons from neutron-common package.
  * d/control,neutron-periodic-workers.init.in: Add binary package and
    init configuration for neutron-periodic-workers daemon.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 10 Feb 2025 16:54:38 +0000

neutron (2:26.0.0~b2+git2025011509.585ea689d5-0ubuntu1) plucky; urgency=medium

  [ Myles Penner ]
  * Add new neutron-ovn-agent package (LP: #2085621):
    - d/control: Add new binary package
    - d/rules: Generate configuration file for neutron-ovn-agent
    - d/neutron-ovn-agent.init.in: Add init system template for agent
  * Changes picked from Debian, thank you Thomas Goirand

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop dependencies that are no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2025 14:16:06 +0000

neutron (2:25.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:30:59 +0100

neutron (2:25.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 14:13:06 +0100

neutron (2:25.0.0~b1+git2024080716.9cbaceff-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Aug 2024 13:12:21 +0100

neutron (2:24.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 15:05:30 +0100

neutron (2:24.0.0~rc1-0ubuntu2) noble; urgency=medium

  * d/control: Drop os-xenapi from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Tue, 26 Mar 2024 14:31:57 +0000

neutron (2:24.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.
  * d/rules,exclude-list.txt: Run all tests, bug fixed upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Mar 2024 14:19:01 +0000

neutron (2:24.0.0~b1+git2024011914.5ce17647-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules,exclude-list.txt: Skip tests which are currently failing due
    to broken mocking for __json__ dunder methods.
  * d/rules,neutron-common.install: Drop merge and generation of ovn.ini
    file as dropped upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 01 Feb 2024 11:40:26 +0000

neutron (2:23.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:12:46 -0400

neutron (2:23.0.0~b3+git2023090714.8cba9a2e-0ubuntu2) mantic; urgency=medium

  * d/p/install-missing-files.patch: Renamed and added test config files.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Sep 2023 14:16:48 -0400

neutron (2:23.0.0~b3+git2023090714.8cba9a2e-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/install-missing-db-files.patch: Install missing db files, including
    neutron/db/migration/alembic.ini.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:38:50 -0400

neutron (2:23.0.0~b2+git2023071209.58c8493f-0ubuntu2) mantic; urgency=medium

  * d/neutron-openvswitch-agent.service.in,
    d/neutron-linuxbridge-agent.service.in: Add network-online.target to After
    directive to ensure the network is up prior to starting (LP: #1736510).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2023 09:56:17 -0400

neutron (2:23.0.0~b2+git2023071209.58c8493f-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * .launchpad.yaml: Comment out /etc/resolv.conf IPv6 address in lpci
    container if it includes % character as it causes tests to fail with:
    "netaddr.core.AddrFormatError: failed to detect a valid IP address
    from 'fe80::216:3eff:fee2:aa75%6'".
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 09:59:48 -0400

neutron (2:22.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:05:22 -0400

neutron (2:22.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Mar 2023 08:49:41 -0500

neutron (2:21.0.0+git2023011010.1374b01c-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:20:08 -0500

neutron (2:21.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 21.x series
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 15:35:42 -0400

neutron (2:20.2.0+git2022091213.64bef10cd9-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:25:26 -0400

neutron (2:20.1.0+git2022072016.aec23e6664-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 20 Jul 2022 16:36:28 -0400

neutron (2:20.1.0+git2022071412.562faafa2d-0ubuntu1) kinetic; urgency=medium

  * d/control: Update standards version to 4.6.1.
  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/neutron-common.postinst: CIS hardening update to switch adduser to use
    /usr/sbin/nologin when creating system account that does not run a shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 12:57:49 -0400

neutron (2:20.1.0+git2022052710.71b138e3e8-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-setting-table-monitoring-conditions.patch: Dropped. Fixed
    in new upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 May 2022 10:59:20 -0400

neutron (2:20.0.0-0ubuntu3) jammy; urgency=medium

  * d/control: Add openvswitch-common dependency to neutron-server
    binary package (LP: #1960319).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2022 12:07:53 -0400

neutron (2:20.0.0-0ubuntu2) jammy; urgency=medium

  * Fix broken behavior after recent OVS update (LP: #1965819):
    - d/control: Align with accompanying fix for python-ovsdbapp.
    - d/p/fix-setting-table-monitoring-conditions.patch: Cherry-picked
      from upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Apr 2022 16:35:12 -0400

neutron (2:20.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 20.x series
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 15:45:28 -0400

neutron (2:19.1.0+git2022030313.b072cbf05f-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:15:04 -0500

neutron (2:19.1.0+git2022030211.d86744dc8f-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 11:14:34 -0500

neutron (2:19.1.0+git2022012409.2999b8e579-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/neutron-l3-agent.init.in: Drop /etc/neutron/fwaas_driver.ini
    which was removed in a prior package version (LP: #1958863).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 24 Jan 2022 09:24:42 -0500

neutron (2:19.1.0+git2022011216.7c95a27942-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 16:55:36 -0500

neutron (2:19.0.0+git2022010514.7aba1bddab-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Jan 2022 14:38:56 -0500

neutron (2:19.0.0+git2021120815.74e2956aa3-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/revert-sqlalchemy-upgrade.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 15:36:09 -0500

neutron (2:19.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 19.x series
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 09:44:47 -0400

neutron (2:18.1.1+git2021091315.0fa97ecceb-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Sep 2021 15:06:55 -0400

neutron (2:18.1.0+git2021090913.64bfeae21c-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop neutron-fwaas dependency as it is no longer maintained
    (LP: #1934129).
  * d/p/revert-rely-on-worker-count-for-hashring-caching.patch: Dropped.
    Fixed upstream by https://review.opendev.org/c/openstack/neutron/+/800679.
  * d/p/revert-sqlalchemy-upgrade.patch: Rebased.
  * d/p/revert-l3-ha-retry-when-setting-ha-router-gw-status.patch: Dropped.
    Fixed in new upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 13:01:27 -0400

neutron (2:18.1.0+git2021072117.147830620f-0ubuntu2) impish; urgency=medium

  * d/p/revert-l3-ha-retry-when-setting-ha-router-gw-status.patch: Revert
    upstream patch that introduced regression that prevented full restore
    of HA routers on restart of L3 agent (LP: #1927868).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Jul 2021 16:40:07 -0400

neutron (2:18.1.0+git2021072117.147830620f-0ubuntu1) impish; urgency=medium

  [ Hemanth Nakkina ]
  * d/p/0001-Update-arp-entry-of-snat-port-on-qrouter-ns.patch: Fix to
    update arp entry of snat port on qrouter ns (LP: #1933092)

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.
  * d/p/0001-Update-arp-entry-of-snat-port-on-qrouter-ns.patch: Dropped.
    Fixed in upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:22:28 -0400

neutron (2:18.0.0+git2021061405.f042d690be-0ubuntu3) impish; urgency=medium

  * d/p/revert-sqlalchemy-upgrade.patch: Downgrade upstream requirement
    to match what is in Ubuntu.
  * d/control: Re-Add sqlalchemy upgrade.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 28 Jun 2021 08:10:24 +0000

neutron (2:18.0.0+git2021061405.f042d690be-0ubuntu2) impish; urgency=medium

  * d/control: Revert package upgrade to newer sqlalchemy.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 28 Jun 2021 06:24:47 +0000

neutron (2:18.0.0+git2021061405.f042d690be-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/initialize-privsep-library-*,
    d/p/remove-leading-zeroes-from-an-ip-address.patch: Removed as patch is landed
    upstream.
  * d/neutron-common.install: Remove not needed rootwrap filters.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 14 Jun 2021 13:37:21 +0000

neutron (2:18.0.0-0ubuntu3) impish; urgency=medium

  * d/p/revert-rely-on-worker-count-for-hashring-caching.patch: Revert
    patch due to SR-IOV regression (LP: #1931244).
  * d/p/remove-leading-zeroes-from-an-ip-address.patch: Cherry-picked from
    upstream to fix failing test (LP: #1930222).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Jun 2021 10:52:23 -0400

neutron (2:18.0.0-0ubuntu2) hirsute; urgency=medium

  * Cherry-pick patches from upstream master to initialize privsep library:
    - d/p/initialize-privsep-library-for-neutron-ovs-cleanup.patch (LP: #1923453).
    - d/p/initialize-privsep-library-in-neutron-commands.patch (LP: #1923870).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 13:13:40 -0400

neutron (2:18.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 13:32:03 +0000

neutron (2:18.0.0~rc2-0ubuntu2) hirsute; urgency=medium

  * d/neutron-common.install: Add missing rootwrap filter for privsep
    (LP: #1923453).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Apr 2021 10:57:31 -0400

neutron (2:18.0.0~rc2-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 18.x series
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/0001-Fix-deletion-of-rfp-interfaces-when-router-is-re-ena.patch,
    d/p/revert-dvr-remove-control-plane-arp-updates.patch,
    d/p/debian/patches/improve-get-devices-with-ip-performance.patch,
    Dropped. Fixed upstream.
  * d/neutron-common.install: Remove rootwrap filters that were removed
    upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 09 Apr 2021 13:57:05 +0000

neutron (2:17.1.0+git2021012815.0fb63f7297-0ubuntu5) hirsute; urgency=medium

  * d/p/improve-get-devices-with-ip-performance.patch: Performance of
    get_devices_with_ip is improved to limit the amount of information
    to be sent and reduce the number of syscalls. (LP: #1896734).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 09 Mar 2021 16:01:26 -0500

neutron (2:17.1.0+git2021012815.0fb63f7297-0ubuntu4) hirsute; urgency=medium

  * d/p/revert-dvr-remove-control-plane-arp-updates.patch: Cherry-picked
    from https://review.opendev.org/c/openstack/neutron/+/777903 to prevent
    permanent arp entries that never get deleted (LP: #1916761).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Mar 2021 10:49:14 -0500

neutron (2:17.1.0+git2021012815.0fb63f7297-0ubuntu3) hirsute; urgency=medium

  [ Edward Hope-Morley ]
  * Backport fix for dvr-snat missig rfp interfaces (LP: #1894843)
    - d/p/0001-Fix-deletion-of-rfp-interfaces-when-router-is-re-ena.patch

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Feb 2021 12:41:20 -0500

neutron (2:17.1.0+git2021012815.0fb63f7297-0ubuntu2) hirsute; urgency=medium

  * d/control: Reduce required version for python-asteroid as pylint has
    a lower requirement.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 03 Feb 2021 16:36:24 +0000

neutron (2:17.1.0+git2021012815.0fb63f7297-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-removal-of-dvr-src-mac-flows.patch: Dropped. Fixed in upstream
    snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jan 2021 15:08:16 -0500

neutron (2:17.0.0+git2020120911.b5ea767bc3-0ubuntu2) hirsute; urgency=medium

  * d/p/fix-removal-of-dvr-src-mac-flows.patch: Cherry-picked from upstream to
    fix removal of dvr-src mac flows when non-gateway port on router is deleted
    (LP: #1892405).
  * d/control: Set min BD version of python3-eventlet to 0.30.0.
  * d/control: Set min BD version of python-oslo.db to 8.5.0+really.8.4.0 to
    align with upper-constraints.
  * d/rules: Add PYTHONWARNINGS to unit test execution inline with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Jan 2021 14:04:22 -0500

neutron (2:17.0.0+git2020120911.b5ea767bc3-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2020 11:47:53 -0500

neutron (2:17.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 12:29:41 -0400

neutron (2:17.0.0~rc2-0ubuntu1) groovy; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Update to the correct version regex.
  * New upstream release candidate for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Sat, 10 Oct 2020 05:57:26 +0000

neutron (2:17.0.0~git2020091014.215a541bd4-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/rules,test-blacklist.txt: Removed. Tests are now passing after latest
    snapshot (LP: #1885876).

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Sep 2020 14:27:07 -0400

neutron (2:17.0.0~git2020073015.17324fe1cf-0ubuntu2) groovy; urgency=medium

  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Tue, 11 Aug 2020 11:02:49 +0000

neutron (2:17.0.0~git2020073015.17324fe1cf-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/copyright: Update upstream URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 15:01:07 -0400

neutron (2:17.0.0~git2020070709.792f4efce9-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/py3dist-overrides: Created with win32 dep wmi.
  * d/*.upstart.in: Dropped. No longer needed.
  * d/control: Update Standards-Version to 4.5.0.
  * d/p/fix-neutron-ipset-cleanup-tool.patch: Dropped. Fixed upstream.
  * d/p/bug1879717.patch: Dropped. Fixed upstream.
  * d/p/misc-py38-p1.patch: Dropped. Fixed upstream.
  * d/p/skip-iptest.patch: Rebased.
  * d/p/flake8-legacy.patch: Dropped. No longer needed.
  * d/neutron-common.install: Remove netns-cleanup.filters along with
    upstream removal as part of migration to oslo.privsep.
  * d/rules: Set OS_* env variables for unit test execution in line with
    upstream tox.ini.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Jul 2020 09:52:01 -0400

neutron (2:16.0.0-0ubuntu3) groovy; urgency=medium

  * Ensure OVS and linuxbridge cleanup systemd units are not restarted
    on upgrade or started on install (LP: #1885264):
    - d/rules: Pass --no-stop-on-upgrade to dh_install{systemd,init} for
      ovs and linuxbridge cleanup systemd units.
    - d/rules: Pass --no-start to dh_install{systemd,init} for
      ovs and linuxbridge cleanup systemd units.
    - d/rules: Also pass --no-restart-after-upgrade to deal with bug
      in older debhelper versions in Ubuntu Cloud Archive.
    - d/rules: Pass appropriate -X flags to each call to
      dh_install{systemd,init} to ensure that duplicate snippets are
      not generated in maintainer scripts.
  * d/p/bug1879717.patch: Cherry pick unit testing fix for updates into
    ovsdbapp.
  * d/rules,test-blacklist.txt: Blacklist misc failing tests on groovy
    until next set of snapshots.
  * d/p/misc-py38-p1.patch: Cherry pick fix for failing unit test.

 -- James Page <james.page@ubuntu.com>  Thu, 02 Jul 2020 07:51:11 +0100

neutron (2:16.0.0-0ubuntu2) groovy; urgency=medium

  * d/control: Add net-tools dependency to python3-neutron for netstat
    (LP: #1881852).
  * d/neutron-common.install: Add rootwrap.d/netns-cleanup.filters
    (LP: #1881852).
  * d/p/fix-neutron-ipset-cleanup-tool.patch: Fix Traceback (LP: #1881771).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Wed,  3 Jun 2020 10:19:56 +0200

neutron (2:16.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 16.x series.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed
    in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 17:06:16 -0400

neutron (2:16.0.0~b3~git2020041516.5f42488a9a-0ubuntu3) groovy; urgency=medium

  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/724753. This fixes neutron service failures
    with Python 3.8 (LP: #1863021).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Apr 2020 16:42:56 -0400

neutron (2:16.0.0~b3~git2020041516.5f42488a9a-0ubuntu2) focal; urgency=medium

  * d/neutron-common.postinst: Ensure subdirectories and files under
    /var/lib/neutron/dhcp are readable by the nobody user which is used
    by dnsmasq (LP: #1873438).

 -- James Page <james.page@ubuntu.com>  Fri, 17 Apr 2020 12:27:46 +0100

neutron (2:16.0.0~b3~git2020041516.5f42488a9a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Apr 2020 16:26:18 -0400

neutron (2:16.0.0~b3~git2020041013.e74c8f8c88-0ubuntu1) focal; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * New upstream snapshot for OpenStack Ussuri.
  * d/neutron-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:28:11 -0400

neutron (2:16.0.0~b3~git2020032420.a0e1b5804e-0ubuntu4) focal; urgency=medium

   * d/neutron-common.postinst: Set ownership and permissions for all /var/lib
     files and directories and ensure dnsmasq has access to /var/lib/neutron/dhcp
     (LP: #1866187).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Apr 2020 15:02:51 -0400

neutron (2:16.0.0~b3~git2020032420.a0e1b5804e-0ubuntu3) focal; urgency=medium

  * d/neutron-common.postinst: Update permissions on /etc/neutron/policy.d to
    allow users other than neutron or root to query, resolving unit test
    failures in out-of-tree networking drivers.

 -- James Page <james.page@ubuntu.com>  Fri, 27 Mar 2020 14:18:35 +0000

neutron (2:16.0.0~b3~git2020032420.a0e1b5804e-0ubuntu2) focal; urgency=medium

  * d/neutron-common.postinst: Refactor for standardised permissions for /etc,
    /var/log and /var/lib (LP: #1859422).

 -- James Page <james.page@ubuntu.com>  Wed, 25 Mar 2020 15:12:36 +0000

neutron (2:16.0.0~b3~git2020032420.a0e1b5804e-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/p/*: Refresh.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Mar 2020 09:19:23 +0000

neutron (2:16.0.0~b2~git2020020712.d5b33ffc77-0ubuntu3) focal; urgency=medium

  * d/tests/neutron-agents: Skip neutron-ovn-metadata-agent restart test on armhf.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Mar 2020 10:50:59 -0400

neutron (2:16.0.0~b2~git2020020712.d5b33ffc77-0ubuntu2) focal; urgency=medium

  * d/control, d/neutron-common.install, d/neutron-ovn-metadata-agent.init.in,
    d/rules, d/neutron_ovn_metadata_agent.ini.defaults, d/ovn.ini.defaults,
    d/t/neutron-agents: Add support for neutron OVN source code move to neutron.
    The init.in file was imported from networking-ovn source package and slightly
    modified.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 24 Feb 2020 10:41:46 -0500

neutron (2:16.0.0~b2~git2020020712.d5b33ffc77-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 07 Feb 2020 13:42:07 +0100

neutron (2:16.0.0~b1~git2019121613.3e8abb9a8f-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Dec 2019 13:47:00 -0500

neutron (2:15.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Oct 2019 17:03:13 +0100

neutron (2:15.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 15.x series.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 13:43:23 +0100

neutron (2:15.0.0~b2~git2019082812.5aa5d61dfd-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Aug 2019 12:58:28 -0400

neutron (2:15.0.0~b2~git2019080820.f41f2a22cf-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Aug 2019 20:45:58 -0400

neutron (2:15.0.0~b1~git2019061359.8c6bb723b1-0ubuntu2) eoan; urgency=medium

  * d/t/neutron-server: Avoid IDENTIFIED BY on GRANT
    [Required for MySQL 8.0 transition]

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 01 Aug 2019 10:59:36 +0200

neutron (2:15.0.0~b1~git2019061359.8c6bb723b1-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/bug1823038.patch,bug1826419.patch,fix-KeyError-in-OVS-
    firewall.patch: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 12:03:21 +0100

neutron (2:14.0.0-0ubuntu2) eoan; urgency=medium

  * d/p/bug1826419.patch: Cherry pick fix to revert incorrect changes
    to internal DNS behaviour (LP: #1826419).

 -- James Page <james.page@ubuntu.com>  Mon, 03 Jun 2019 10:33:42 +0100

neutron (2:14.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:49:25 +0100

neutron (2:14.0.0~rc1-0ubuntu3) disco; urgency=medium

  * d/p/bug1823038.patch: Cherry pick fix to ensure that None is not
    passed as an argument when spawning the neutron-keepalived-state-change
    agent (LP: #1823038).

 -- James Page <james.page@ubuntu.com>  Tue, 09 Apr 2019 10:03:20 +0100

neutron (2:14.0.0~rc1-0ubuntu2) disco; urgency=medium

  * d/p/fix-KeyError-in-OVS-firewall.patch: Cherry-picked from upstream
    to prevent neutron ovs agent from crashing due to creation of two
    security groups that both use the same remote security group, where
    the first group's port range is a subset of the second (LP: #1813007).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Mar 2019 08:27:05 -0400

neutron (2:14.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 25 Mar 2019 08:51:53 +0000

neutron (2:14.0.0~b3-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/neutron-common.postinst: Don't fail silently if chmod 640 fails on
    /etc/neutron/neutron.conf.
  * d/neutron-common.postinst: Drop tabs in favor of spaces.

  [ James Page ]
  * d/watch: Monitor 14.x series.
  * New milestone for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Mar 2019 16:57:19 +0000

neutron (2:14.0.0~b1~git2019013137.7484700deb-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/neutron-common.install: Drop install of policy.json.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:31:50 +0000

neutron (2:14.0.0~b1~git2018120609.2e720b158b-0ubuntu2) disco; urgency=medium

  * d/tests/neutron-server: sqlalchemy now defaults to mysqldb so we must override
    the driver to use pymysql.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Jan 2019 14:15:41 -0500

neutron (2:14.0.0~b1~git2018120609.2e720b158b-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Dec 2018 09:57:42 -0500

neutron (2:14.0.0~b1~git2018111556.1e0a5b901a-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/p/revert-dvr-add-error-handling.patch,revert-dvr-inter-tenant.patch,
    metadata-use-requests-for-comms-with-nova-api.patch: Drop, included
    upstream.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- James Page <james.page@ubuntu.com>  Thu, 15 Nov 2018 20:02:02 +0000

neutron (2:13.0.1-0ubuntu1) cosmic; urgency=medium

  * New stable point release for OpenStack Rocky.
  * d/p/revert-dvr-add-error-handling.patch: Cherry-picked from upstream to
    revert DVR regressions (LP: #1751396)
  * d/p/revert-dvr-inter-tenant.patch: Cherry-picked from upstream to revert
    DVR regression (LP: #1783654).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 02 Oct 2018 17:18:19 -0400

neutron (2:13.0.0-0ubuntu4) cosmic; urgency=medium

  * d/control: Update min version of python(3)-pecan to rocky version
    (LP: #1794259).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 25 Sep 2018 09:12:54 -0400

neutron (2:13.0.0-0ubuntu3) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control, d/neutron-*.install: Move common files to neutron-common. Only
      have python(3)-neutron depend on neutron-common. Other packages that used
      to depend on neutron-common now depend on python-neutron | python3-neutron.
      Also move python(3)-neutron-fwaas to neutron-l3-agent Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 04 Sep 2018 10:21:50 -0400

neutron (2:13.0.0-0ubuntu2) cosmic; urgency=medium

  * d/p/metadata-use-requests-for-comms-with-nova-api.patch: Cherry
    pick of fix to support use of certs with IP based SAN's on Nova
    API endpoints when making metadata service calls (LP: #1790598).
  * d/control: Bump minimum requests version inline with above patch.

 -- James Page <james.page@ubuntu.com>  Tue, 04 Sep 2018 14:59:36 +0100

neutron (2:13.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:21:41 -0400

neutron (2:13.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 16:30:02 -0400

neutron (2:13.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/py36-fixes.patch: Dropped. Fixed in upstream milestone.
  * d/p/flake8-legacy.patch: Rebased.
  * d/rules: Run tests via pkgos-dh_auto_test.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 11:25:05 -0400

neutron (2:13.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add Python 3 support:
    - d/control: Add BD's for Python 3 support.
    - d/control: Add python3-neutron, alternative to python-neutron.
    - d/control,*.install: Move all py binaries to python{3}-neutron.
    - d/rules: Use pkgos-dh_auto_install for py2/py3 install.
    - d/*.postinst,prerm,postrm: Manage py binaries using alternatives.
    - d/rules: Execute py2 and py3 unit tests.
    - d/p/py36-fixes.patch: Cherry pick fix to correctly patch sys.argv,
      resolving unit test failures under Python 3.6.
    - d/*.manpages,control: Move manpages to -common package.
  * Drop old transitional packages which are no longer needed.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Jun 2018 22:10:43 +0100

neutron (2:13.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 17:01:20 +0100

neutron (2:13.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 13.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Update Standards-Version to 4.1.4.
  * d/watch, d/control, d/copyright: Use https URLs where possible.
  * d/control: Drop obsolete XS-Testsuite: autopkgtest header.
  * d/control: Enable autopkgtest-pkg-python testsuite.
  * d/p/refresh-router-objects-after-port-binding.patch,
    d/p/use-cidr-during-tenant-network-rule-deletion.patch,
    d/p/remove-race-and-simplify-conntrack-state-management.patch,
    d/p/dvr-inter-tenant-traffic.patch: Dropped. Fixed in upstream milestone.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 May 2018 14:50:29 -0400

neutron (2:12.0.1-0ubuntu2) cosmic; urgency=medium

  * d/p/remove-race-and-simplify-conntrack-state-management.patch:
    Cherry-picked from upstream stable/queens branch to prevent
    ovs-agent from eating up CPU (LP: #1750777).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 May 2018 15:00:58 -0400

neutron (2:12.0.1-0ubuntu1) bionic; urgency=medium

  * d/p/dvr-inter-tenant-traffic.patch: Cherry-picked from upstream
    stable/queens branch (LP: #1751396).
  * New stable point release for OpenStack Queens (LP: #1765138).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Apr 2018 12:07:48 -0400

neutron (2:12.0.0-0ubuntu3) bionic; urgency=medium

  * d/p/refresh-router-objects-after-port-binding.patch: Cherry-picked
    from upstream stable/queens branch (LP: #1759971).
  * d/p/use-cidr-during-tenant-network-rule-deletion.patch: Cherry-picked
    from upstream stable/queens branch (LP: #1759956).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Apr 2018 16:06:25 -0400

neutron (2:12.0.0-0ubuntu2) bionic; urgency=medium

  * d/neutron-openvswitch-agent.service.in,
    d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in:
    Ensure neutron-ovs-cleanup runs after openvswitch-switch and
    neutron-openvswitch-agent runs after neutron-ovs-cleanup (LP: #1752838).

 -- Seyeong Kim <seyeong.kim@canonical.com>  Wed, 28 Mar 2018 04:44:38 -0700

neutron (2:12.0.0-0ubuntu1.4) bionic; urgency=medium

  * Ensure python-pecan is >= 1.2.1 (LP: #1758882).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Mar 2018 08:19:15 -0400

neutron (2:12.0.0-0ubuntu1.3) bionic; urgency=medium

  * d/neutron-openvswitch-agent.service.in,
    d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in:
    Revert changes made for LP:#1752838 due to regression (LP: #1758411).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 23 Mar 2018 14:41:23 -0400

neutron (2:12.0.0-0ubuntu1.2) bionic; urgency=medium

  * d/neutron-openvswitch-agent.service.in: Ensure
    neutron-openvswitch-agent starts after neutron-ovs-cleanup.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Mar 2018 09:32:19 -0400

neutron (2:12.0.0-0ubuntu1.1) bionic; urgency=medium

  * d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in:
    Adding dependency on openvswitch-switch.service because
    neutron-ovs-cleanup will fail if it is run earlier than it
    (LP: #1752838).

 -- Seyeong Kim <seyeong.kim@canonical.com>  Thu, 01 Mar 2018 17:19:08 -0800

neutron (2:12.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Feb 2018 16:07:52 +0000

neutron (2:12.0.0~rc2-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Feb 2018 12:48:08 -0500

neutron (2:12.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Feb 2018 17:54:27 +0000

neutron (2:12.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 12:45:29 -0500

neutron (2:12.0.0~b2-0ubuntu1) bionic; urgency=medium

  * d/watch: Scope to 12.x series.
  * d/p/call-update_all_ha_network_port_statuses-on-agent-start.patch:
    Dropped, included upstream.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/control,compat: Bump debhelper compat to 10, drop BD on dh-
    systemd.
  * d/rules,neutron.conf.defaults: Switch to using crudini merge.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 12:47:32 +0000

neutron (2:12.0.0~b1-0ubuntu2) bionic; urgency=medium

  * d/p/call-update_all_ha_network_port_statuses-on-agent-start.patch:
    Cherry-pick from upstream to prevent multiple masters for L3HA
    (LP: #1731595).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Nov 2017 15:05:33 -0500

neutron (2:12.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/flake8-legacy.patch: Update patch to avoid import of flake8
    legacy module as this causes test listing to fail.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Nov 2017 16:34:23 +0000

neutron (2:11.0.1-0ubuntu1) artful; urgency=medium

  * d/control: Add rename package to BDs as d/rules needs it and it
    is no longer available by default in Artful.
  * New stable point release for OpenStack Pike (LP: #1719728).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Sep 2017 10:30:00 -0400

neutron (2:11.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Aug 2017 14:59:39 +0100

neutron (2:11.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:27:30 -0400

neutron (2:11.0.0~rc1-0ubuntu3) artful; urgency=medium

  * d/control: Move iproute2 Depends to python-neutron.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Aug 2017 20:39:18 -0400

neutron (2:11.0.0~rc1-0ubuntu2) artful; urgency=medium

  * d/control: Add iproute2 to neutron-common Depends as ip commands
    are issued in neutron/agent/linux/ip_lib.py.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Aug 2017 14:33:16 -0400

neutron (2:11.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Aug 2017 21:30:49 -0400

neutron (2:11.0.0~b3-0ubuntu1) artful; urgency=medium

  [ James Page ]
  * d/p/bug1694420.patch: Dropped, included upstream.

  [ Corey Bryant ]
  * New upstream version.
  * d/p/flake8-legacy.patch: Rebased.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 10:45:52 -0400

neutron (2:11.0.0~b2-0ubuntu2) artful; urgency=medium

  * d/p/bug1694420.patch: Cherry pick fix to resolve issues in deployments
    where the port-security driver is not enabled (LP: #1694420).

 -- James Page <james.page@ubuntu.com>  Wed, 21 Jun 2017 14:23:01 +0100

neutron (2:11.0.0~b2-0ubuntu1) artful; urgency=medium

  * d/control: Add python-ovsdbapp to (Build-)Depends.
  * d/python-neutron.install: Install neutron-api wsgi entry point.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 16:32:57 +0100

neutron (2:11.0.0~b1-0ubuntu2) artful; urgency=medium

  * Update default configuration management to use crudini:
    - d/control: Add BD on crudini.
    - d/rules: Set distro defaults in neutron.conf using crudini.
    - d/p/fix-neutron-configuration.patch: Dropped, no longer
      required.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 09:57:26 +0100

neutron (2:11.0.0~b1-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/pydist-overrides: Dropped no longer needed.
  * d/rules:
    - Removed missing patch
    - Configure sqlite database using pkgos-fix-config-default.
    - Removed missing binaries to exclude.
  * d/neutron-metadata-agent.install: Remove neutron-metadata-proxy
    has been replaced by haproxy.
  * d/control: Add python-os-xenapi as a depdendency.
  * d/rules: Fix running unit tests.

  [ James Page ]
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Apr 2017 15:10:44 +0100

neutron (2:10.0.0-0ubuntu5) zesty; urgency=medium

  * d/rules: Fix failing unit tests. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 09 Apr 2017 11:41:39 -0400

neutron (2:10.0.0-0ubuntu4) zesty; urgency=medium

  * d/neutron-common.install, d/neutron-dhcp-agent.install:
    Remove cron jobs since they will cause a race when
    using an L3 agent. (LP: #1623664)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Mar 2017 12:42:06 -0400

neutron (2:10.0.0-0ubuntu3) zesty; urgency=medium

  * d/rules: Switch to direct use of ostestr.
  * d/p/fix-db-path.patch: Drop patch, we do want to run unit tests with
    an in-memory sqlite db otherwise they stomp all over each other.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Mar 2017 17:25:06 +0000

neutron (2:10.0.0-0ubuntu2) zesty; urgency=medium

  * d/control: Bump minimum pecan version to 1.1.2 (LP: #1668578).

 -- James Page <james.page@ubuntu.com>  Wed, 15 Mar 2017 10:39:34 +0000

neutron (2:10.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 09:56:20 -0500

neutron (2:10.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * d/patches/fix-db-path.patch: Dont use an in-memory sqlite
    database for unit tests. 
  * New upstream milestone for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 20 Feb 2017 10:17:59 -0500

neutron (2:10.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * debian/control: Add python-weakrefmethod. 
  * New upstream milestone for Ocata.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 13:03:35 -0500

neutron (2:10.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Run the run_tests.sh script.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 27 Jan 2017 10:07:09 -0500

neutron (2:10.0.0~b2-0ubuntu2) zesty; urgency=medium

  [ Chuck Short ]
  * debian/control: Add pyroute2 and python-oslo.privsep as dependency. 

  [ Corey Bryant ]
  * d/tests/control: Use needs-recommends to ensure neutron-plugin-ml2 is
    installed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Jan 2017 11:31:59 -0500

neutron (2:10.0.0~b2-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * debian/rules: Specify the path to the unit tests.
  * New upstream milestone for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 14:42:03 -0500

neutron (2:10.0.0~b1-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * New upstream version.
  * debian/control: 
    - Add python-tenacity.
    - Bump version dependencies.
  * debian/tests/neutron-server: Append log file for better debugining.
  * New upstream version. 

  [ David Della Vecchia ]
  * New upstream version.
  * d/p/check-namespace-before-getting-devices.patch: Dropped. Fixed upstream.
  * d/p/flake8-legacy.patch: Rebased.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Wed, 16 Nov 2016 15:42:28 -0500

neutron (2:9.0.0-0ubuntu3.1) zesty; urgency=medium

  * d/p/check-namespace-before-getting-devices.patch: Cherry-pick patch
    from upstream master branch to check if router namespace exists before
    getting devices (LP: #1573073).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Nov 2016 17:01:15 -0500

neutron (2:9.0.0-0ubuntu3) zesty; urgency=medium

  * debian/tests/neutron-server: Add debug statemens for better 
    debugging. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 01 Nov 2016 13:34:53 -0400

neutron (2:9.0.0-0ubuntu2.1) zesty; urgency=medium

  * d/p/check-namespace-before-getting-devices.patch: Cherry-pick patch
    from upstream master branch to check if router namespace exists before
    getting devices (LP: #1573073).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Nov 2016 13:50:40 -0500

neutron (2:9.0.0-0ubuntu2) zesty; urgency=medium

  * d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in: Fix
    service config typo (LP: #1635369).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Oct 2016 14:16:26 -0400

neutron (2:9.0.0-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).

  [ James Page ]
  * d/neutron-openvswitch-agent.service.in: Attempt load of br_netfilter
    module prior to starting service, ensuring that security rules will
    be applied to bridges associated with instances (LP: #1630968).

  [ Corey Bryant ]
  * New upstream release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 13:36:38 -0400

neutron (2:9.0.0~rc3-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 29 Sep 2016 08:17:58 -0400

neutron (2:9.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.
  * d/p/flake8-legacy.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Sep 2016 13:47:43 -0400

neutron (2:9.0.0~rc1-0ubuntu2) yakkety; urgency=medium

  * d/control: Require miniminum dnsmasq of 2.76 to ensure availability
    of dhcp_release6.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Sep 2016 10:20:14 -0400

neutron (2:9.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Sep 2016 11:30:48 +0100

neutron (2:9.0.0~b3-0ubuntu3) yakkety; urgency=medium

  * d/neutron-linuxbridge-agent.service.in: Attempt load of br_netfilter
    module prior to starting service, ensuring that security rules will
    be applied to instances (LP: #1621854).

 -- James Page <james.page@ubuntu.com>  Fri, 09 Sep 2016 14:31:25 +0100

neutron (2:9.0.0~b3-0ubuntu2) yakkety; urgency=medium

  * d/control: Set minimum version of neutron-fwaas to 9.0.0~b3, resolving
    autopkgtest failures during db migrations.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Sep 2016 10:51:56 +0100

neutron (2:9.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/neutron-linuxbridge-agent.neutron-linuxbridge-cleanup.service.in:
    Fix Type=oneshot typo (LP: #1606652).

  [ James Page ]
  * New upstream release.
  * d/p/flake8-legacy.patch: Compat patch for newer flake8 version than
    upstream OpenStack is currently aligned with.

  [ Corey Bryant ]
  * New upstream version.
  * d/control: Add python-pep8 to BDs.

  [ Corey Bryant ]
  * New upstream release for OpenStack Newton.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Sep 2016 16:37:00 -0400

neutron (2:9.0.0~b2-0ubuntu3) yakkety; urgency=medium

  * d/neutron-linuxbridge-agent.neutron-linuxbridge-cleanup.init.in:
    Run neutron-linuxbridge-cleanup with linuxbridge_agent.ini (LP: #1606657).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 Aug 2016 14:55:38 -0400

neutron (2:9.0.0~b2-0ubuntu2) yakkety; urgency=medium

  * d/control: Add runtime dependency on python-ryu, now used as the default
    openflow manager for the ML2/Open vSwitch agent.
  * d/p/drop-ryu-dep.patch: Dropped, as we need ryu now for normal operation.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Jul 2016 16:03:14 +0100

neutron (2:9.0.0~b2-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/p/drop-ryu-dep.patch: Rebased.
  * d/control: Bump min python-fixtures to 3.0.0.

  [ David Della Vecchia ]
  * d/p/drop-ryu-dep.patch: Rebased.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Jul 2016 11:49:23 +0100

neutron (2:9.0.0~b1-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Newton.
  * d/p/skip-ryu-tests.patch: Dropped since BDs no longer have to be in main.
  * d/control, d/neutron-bgp-dragent.*: Remove BGP support, aligning with
    upstream removal.
  * d/control: Add python-osprofiler to (Build-)Depends.
  * d/control: Add python-oslo.cache to (Build-)Depends.
  * d/control: Align (build-)depends with upstream.
  * d/control: Drop python-openvswitch min version to 2.5.0 since this package
    doesn't yet support python3.
  * d/p/drop-ryu-dep.patch: Rebased.

  [ James Page ]
  * d/rules: Switch to using ostestr for unit test execution to avoid races.
  * d/p/*: Refresh.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2016 12:55:59 -0400

neutron (2:8.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.
  * d/p/drop-ryu-dep.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 14:17:32 -0400

neutron (2:8.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/p/autogenerate-macvtap-agent-config-file.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 08:31:46 -0400

neutron (2:8.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ensure-tunnels-fully-reset.patch: Dropped. Fixed upstream.
  * d/p/*: Rebased.
  * d/p/skip-ryu-tests.patch: Skip ryu tests.
  * d/control, d/neutron-bgp-dragent.*: Add new binary package and install/init
    files for BGP Dynamic Routing agent.
  * d/control, d/neutron-macvtap-agent.*: Add new binary package and install/init
    files for Macvtap L2 Agent.
  * d/p/autogenerate-macvtap-agent-config-file.patch: Cherry-picked from upstream
    master to generate config file for Macvtap L2 Agent.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Mar 2016 15:11:31 -0500

neutron (2:8.0.0~b2-0ubuntu7) xenial; urgency=medium

  * d/rules: Ensure that neutron-linuxbridge-cleanup init configurations
    are installed in the correct package (LP: #1550004).

 -- James Page <james.page@ubuntu.com>  Fri, 26 Feb 2016 13:29:25 +0000

neutron (2:8.0.0~b2-0ubuntu6) xenial; urgency=medium

  * d/neutron-server.init.in: Restore missing source of
    /e/d/neutron-server prior to trying to configure daemon arguments
    (LP: #1549919).

 -- James Page <james.page@ubuntu.com>  Thu, 25 Feb 2016 18:12:27 +0000

neutron (2:8.0.0~b2-0ubuntu5) xenial; urgency=medium

  * d/control,neutron-plugin-openvswitch-agent.*: Add transitional package for
    upgrades, ensure that old init and upstart configurations are removed
    (LP: #1548242).
  * d/*.default,neutron-server.init.in: Revert commits which mistakenly
    tied ovs or linuxbridge agents to the neutron-server package (LP: #1548245).
  * d/control,neutron-{plugin-}linuxbridge-agent.*: Rename
    neutron-plugin-linuxbridge-agent -> neutron-linuxbridge-agent inline with
    other agent packages (LP: #1548244).
  * d/control: Add dependency on conntrack for openvswitch and linuxbridge
    packages (LP: #1514731).
  * d/control,*.install,*.init.in,*.service.in,*.update.in: Re-jig locations
    of ml2 plugin and associated agent files so that openvswitch, linuxbridge
    and sriov agents no longer need to include ml2_conf.ini (LP: #1527005).
  * d/control,neutron-{plugin-}sriov-agent.*: Rename
    neutron-plugin-sriov-agent -> neutron-sriov-agent inline with
    other agent packages (LP: #1548244).
  * d/tests/*: Refactor and reduce tests; ML2 is the only plugin now in neutron
    core, so no need to continue to carry infrastructure for testing other
    plugins.
  * d/control: Drop old Breaks/Replaces on quantum-* packages.

 -- James Page <james.page@ubuntu.com>  Mon, 22 Feb 2016 13:47:02 +0000

neutron (2:8.0.0~b2-0ubuntu4) xenial; urgency=medium

  * d/tests/linuxbridge-plugin, d/neutron-plugin-linuxbridge-agent.default:
    Correct the linuxbridge config file.
  * d/tests/*: Loop to check daemon status instead of sleep.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 19 Feb 2016 08:11:38 -0500

neutron (2:8.0.0~b2-0ubuntu3) xenial; urgency=medium

  * d/tests/*: Adjust plugin tests to handle recent changes to /etc/default
    files.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Feb 2016 15:11:36 -0500

neutron (2:8.0.0~b2-0ubuntu2) xenial; urgency=medium

  * d/control: Set min version of python-debtcollector to 1.2.0 to fix failing
    tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 09 Feb 2016 09:56:31 -0500

neutron (2:8.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/control: Set min version of python-debtcollector to 1.2.0 to fix failing
    tests.
  * d/control: Add git to build-depends for sphinx-build.
  * d/p/fix-db-migration.patch: Dropped. Fixed upstream.
  * d/rules: Generate config files with generate_config_file_samples.sh.
  * d/rules: Set PYTHONPATH when generating config files to pick up neutron
    entry points. Also drop .sample config file extensions.
  * d/rules, d/p/series: Apply fix-neutron-configuration.patch during
    override_dh_install.
  * d/rules: Drop unpatch of neutron configuration when running tests as
    configs are generated after tests are run.
  * d/p/drop-ryu-dep.patch: Rebased.
  * d/p/fix-neutron-configuration.patch: Rebased.
  * d/tests/brocade-plugin, d/control, d/neutron-plugin-brocade.install:
    Drop brocade plugin as it's been moved out of neutron tree.
  * d/neutron-plugin-nuage.install, d/control:
    Drop nuage plugin as it's been moved out of neutron tree.
  * d/neutron-common.install: Drop install of usr/bin/neutron-dev-server as
    pecan server is launched via a config option now instead.
  * d/p/ensure-tunnels-fully-reset.patch: Cherry-picked from upstream master.
  * d/control, d/rules, d/neutron-(plugin-)openvswitch-agent*: Rename
    neutron-plugin-openvswitch-agent to neutron-openvswitch-agent
    (LP: #1321257).
  * d/control, d/neutron-server.*, d/neutron-openvswitch-agent.default,
    d/neutron-plugin-linuxbridge-agent.default: Add neutron-plugin-agent
    virtual package, drop neutron-server.default and add corresponding
    neutron-*-agent.default files with corresponding NEUTRON_PLUGIN_CONFIG
    values (LP: #1243352).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Jan 2016 16:21:10 -0500

neutron (2:8.0.0~b1-0ubuntu2) xenial; urgency=medium

  * d/p/fix-db-migration.patch: Fix db migration failure noted in
    http://paste.openstack.org/show/480820/.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Jan 2016 13:29:41 -0500

neutron (2:8.0.0~b1-0ubuntu1) xenial; urgency=medium

  * d/tests/neutron-agents: Give daemon 5 seconds to start to prevent race.
  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/iproute2-compat.patch: Dropped. Fixed upstream.
  * d/p/drop-ryu-dep.patch: Rebased.
  * Drop bigswitch plugin as it's moved out of tree:
    - d/control: Drop neutron-plugin-bigswitch(-agent) binary package.
    - d/neutron-plugin-bigswitch-agent.init.in: File removed.
    - d/neutron-plugin-bigswitch.install: File removed.
    - d/tests/bigswitch-plugin: File removed.
  * Drop OVSvApp agent binary as driver has moved out of tree:
    - d/neutron-plugin-openvswitch-agent.install: Don't install
      usr/bin/neutron-ovsvapp-agent.
  * Drop MidonetInterfaceDriver as it has moved out of tree:
    - d/control: Drop neutron-plugin-midonet binary package.
    - d/neutron-plugin-midonet.install: File removed.
    - d/tests/midonet-plugin: File removed.
  * Drop Mellanox ML2 mechanism driver as it has moved out of tree:
    - d/control: Drop neutron-plugin-mlnx(-agent) binary packages.
    - d/neutron-plugin-mlnx-agent.init.in: File removed.
    - d/neutron-plugin-mlnx(-agent).install: Files removed.
  * Drop OneConvergence plugin as it has moved out of tree:
    - d/control: Drop neutron-plugin-oneconvergence(-agent) binary packages.
    - d/neutron-plugin-oneconvergence-agent.init.in: File removed.
  * Drop OpenContrail plugin as it has moved out of tree:
    - d/control: Drop neutron-plugin-opencontrail binary package.
    - d/neutron-plugin-opencontrail.install: File removed.
  * Add neutron-linuxbridge-cleanup support:
    - d/neutron-common.install: Install neutron-linuxbridge-cleanup.
    - d/neutron-plugin-linuxbridge-agent.neutron-linuxbridge-cleanup.init.in:
      Add init script template.
    - d/neutron-plugin-linuxbridge-agent.neutron-linuxbridge-cleanup.service.in:
      Add init script template.
    - d/neutron-plugin-linuxbridge-agent.neutron-linuxbridge-cleanup.upstart.in:
      Add upstart job.
    - d/neutron-plugin-linuxbridge-agent.service.in: Add init script template.
    - d/neutron-plugin-linuxbridge-agent.init.in: Add
      neutron-linuxbridge-cleanup to Should-Start.
    - d/rules: Install and enable neutron-linuxbridge-cleanup init script.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Dec 2015 12:25:25 -0500

neutron (2:7.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 16:38:37 -0400

neutron (2:7.0.0~rc3-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.
  * d/control: Align dependencies with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Oct 2015 11:49:29 -0400

neutron (2:7.0.0~rc2-0ubuntu2) wily; urgency=medium

  * d/control: Drop neutron-plugin-metaplugin and neutron-plugin-cisco
    binary packages as upstream has moved the core plugins out of tree.
  * d/tests/cisco-plugin: Dropped since plugin is moved out of tree.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2015 09:38:10 -0400

neutron (2:7.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.
  * d/p/fix-neutron-configuration.patch: Rebased.
  * d/p/skip-iptest.patch: Rebased.
  * d/p/iproute2-compat.patch: Rebased.
  * d/p/i386-fwmark.patch: Dropped. Fixed upstream.
  * d/p/binary-metadata.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Oct 2015 09:42:36 -0400

neutron (2:7.0.0~rc1-0ubuntu5) wily; urgency=medium

  * d/neutron-common.install: Install ebtables filters (LP: #1502363).
  * d/neutron-plugin-openvswitch-agent.{init.in,upstart.in}: Add agent
    specific configuration file to daemon arguments (LP: #1502364).
  * d/neutron-plugin-linuxbridge-agent.init.in: Add agent specific
    configuration file to daemon arguments (LP: #1502362).
  * d/control: Add dependency on ebtables for linuxbridge agent
    (LP: #1502362).
  * d/control,neutron-plugin-sriov-agent.init.in: Add missing dependency
    from sriov-agent -> neutron-plugin-ml2, add agent specific
    configuration file to daemon arguments.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Oct 2015 08:54:20 +0100

neutron (2:7.0.0~rc1-0ubuntu4) wily; urgency=medium

  * Drop hard requirement on python-ryu for this cycle as it supports
    a new alternative agent implementation for Open vSwitch and is not
    the default, avoiding inclusion of ryu in main for Wily.
    - d/control: Drop (Build-)Depends on ryu, add Suggests.
    - d/p/drop-ryu-dep.patch: Patch out hard requirement on ryu.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Oct 2015 18:10:49 +0100

neutron (2:7.0.0~rc1-0ubuntu3) wily; urgency=medium

  * d/p/binary-metadata.patch: Cherry pick fix from upstream to resolve
    errors when accessing binary encoded metadata (LP: #1501772).

 -- James Page <james.page@ubuntu.com>  Fri, 02 Oct 2015 10:54:24 +0100

neutron (2:7.0.0~rc1-0ubuntu2) wily; urgency=medium

  * d/p/i386-fwmark.patch: Ensure int and long types are converted
    to strings consistently across all architectures, avoiding 'L'
    suffix generated by hex function for long type (LP: #1501703).

 -- James Page <james.page@ubuntu.com>  Thu, 01 Oct 2015 13:02:30 +0100

neutron (2:7.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update to cope with upstream rc versioning.
  * New upstream release candidate for OpenStack Liberty.
  * d/rules: Drop removal of .eggs directory in override_dh_auto_clean.
  * d/control: Bump minimum pbr version to 1.8.
  * d/control: Align (build-)depends with upstream.
  * d/neutron-common.install: Add neutron-dev-server and neutron-rpc-server.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 25 Sep 2015 17:14:07 -0400

neutron (2:7.0.0~b3-0ubuntu3) wily; urgency=medium

  * d/p/iproute2-compat.patch: Cherry pick inflight fix for iproute2 >= v4
    compatibility (LP: #1497309).
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Mon, 21 Sep 2015 09:29:10 +0100

neutron (2:7.0.0~b3-0ubuntu2) wily; urgency=medium

  * Plugin decomposition. Upstream has removed NEC, plumgrid, NSX, and
    IBM plugins from main neutron code in Liberty:
    - d/neutron-plugin-nec*, d/neutron-plugin-plumgrid.*,
      d/neutron-plugin-vmware.*, d/neutron-plugin-ibm(-agent).*: Removed.
    - d/control: Removed neutron-plugin-nec(-agent), neutron-plugin-plumgrid,
      neutron-plugin-vmware, neutron-plugin-ibm(-agent).
    - d/tests/nec-plugin, d/tests/plumgrid-plugin,
      d/tests/vmware-plugin: Removed.
  * d/neutron-common.install: Install neutron-pd-notify and rootwrap
    dibbler.filters.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Sep 2015 09:36:47 -0400

neutron (2:7.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:59:31 -0400

neutron (2:7.0.0~b2-0ubuntu2) wily; urgency=medium

  * d/neutron-plugin-cisco.install: Remove neutron-cisco-apic-service-agent
    and neutron-cisco-apic-host-agent as upstream has removed the apic ML2
    driver code and replaced by its version in the openstack/networking-cisco.
  * d/neutron-plugin-metaplugin.install: Removed as upstream has removed
    metaplugin code in Liberty.
  * d/tests/control: Drop python-mysqldb.
  * d/control: Add python-pymysql to (build-)depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 27 Aug 2015 08:21:31 -0400

neutron (2:7.0.0~b2-0ubuntu1) wily; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/remove-ensure_dirs-double-patch.patch: Dropped. Fixed upstream.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

  [ James Page ]
  * d/source/options: Ignore any changes to egg-info folder
    (LP: #1324856).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Aug 2015 12:08:39 -0400

neutron (2:7.0.0~b1-0ubuntu4) wily; urgency=medium

  * No change rebuild with SQLAlchemy 1.0.6.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 10:02:15 +0100

neutron (2:7.0.0~b1-0ubuntu3) wily; urgency=medium

  * d/neutron-pluging-linuxbridge-agent.init.in: Ensure that the right
    binary is used for neutron-plugin-linuxbridge-agent (LP: #1453188).

 -- James Page <james.page@ubuntu.com>  Thu, 02 Jul 2015 16:37:32 +0100

neutron (2:7.0.0~b1-0ubuntu2) wily; urgency=medium

  * d/p/remove-ensure_dirs-double-patch.patch: Cherry pick fix from upstream
    to fix issue around double patching of ensure_dirs which caused sporadic
    unit test failures.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jun 2015 20:18:55 +0100

neutron (2:7.0.0~b1-0ubuntu1) wily; urgency=medium

  * New milestone for OpenStack Liberty:
    - d/control: Align (build-)depends with upstream.
    - d/p/*: Refresh.
  * d/control: Drop old transitional packages which are no longer required.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Jun 2015 20:40:22 +0100

neutron (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release for OpenStack kilo. (LP: #1449744)

  [ James Page ]
  * d/control: Add missing dependency on conntrack for neutron-l3-agent
    for HA router configuration now that conntrack has completed MIR
    (LP: #1381450).
  * d/*: wrap-and-sort.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Apr 2015 15:29:57 +0200

neutron (1:2015.1~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release:
    - debian/control: Update dependencies. 
    - debian/patches/disable-udev-tests.patch: Dropped no longer needed.
    - debian/patches/fixup-driver-test-execution.patch: Dropped no longer needed.
    - debian/patches/skip-iptest.patch: Skip failing test
    - debian/neutron-plugin-openvswitch-agent.install: Added neutron-ovsvapp-agent binary.
    - debian/neutron-plugin-cisco.install: Added neutron-cisco-apic-service-agent and 
      neutron-cisco-apic-host-agent

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Apr 2015 13:59:07 -0400

neutron (1:2015.1~b3-0ubuntu3) vivid; urgency=medium

  * d/tests/*: Disable nec plugin tests due to out-of-archive python
    requirements post decomposition, drop hyperv tests as hyperv agent
    now not part of this package. 

 -- James Page <james.page@ubuntu.com>  Tue, 31 Mar 2015 10:58:16 +0100

neutron (1:2015.1~b3-0ubuntu2) vivid; urgency=medium

  * d/control: Drop versioning on runtime dependency for python-neutron-fwaas
    as this creates an circular dependency at build time in neutron-fwaas. 

 -- James Page <james.page@ubuntu.com>  Tue, 31 Mar 2015 08:56:54 +0100

neutron (1:2015.1~b3-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release:
    - d/control: Align version requirements with upstream.
    - d/control: Add new dependency on oslo-log.
    - d/p/*: Rebase.
    - d/control,d/neutron-plugin-hyperv*: Dropped, decomposed into
      separate project upstream.
    - d/control,d/neutron-plugin-openflow*: Dropped, decomposed into
      separate project upstream.
    - d/neutron-common.install: Add neutron-rootwrap-daemon and 
      neutron-keepalived-state-change binaries.
    - d/rules: Ignore neutron-hyperv-agent when installing; only for Windows.
    - d/neutron-plugin-cisco.install: Drop neutron-cisco-cfg-agent as
      decomposed into separate project upstream.
    - d/neutron-plugin-vmware.install: Drop neutron-check-nsx-config and
      neutron-nsx-manage as decomposed into separate project upstream.
    - d/control: Add dependency on python-neutron-fwaas to neutron-l3-agent.
  * d/pydist-overrides: Add overrides for oslo packages.
  * d/control: Fixup type in package description (LP: #1263539).
  * d/p/fixup-driver-test-execution.patch: Cherry pick fix from upstream VCS
    to support unit test exection in out-of-tree vendor drivers.
  * d/neutron-common.postinst: Allow general access to /etc/neutron but limit
    access to root/neutron to /etc/neutron/neutron.conf to support execution
    of unit tests in decomposed vendor drivers.
  * d/control: Add dependency on python-neutron-fwaas to neutron-l3-agent
    package.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:17:19 +0100

neutron (1:2015.1~b2-0ubuntu4) vivid; urgency=medium

  * Trim back plugin tests to those that a) don't have out-of-archive
    dependencies, b) don't rely on external fixtures and c) don't try
    to create runtime directories in /etc/neutron.
  * Refactor plugin tests to use a common test helper, use shortnames for
    core_plugin configuration.
  * Allow services to settle prior to testing to ensure that any failures
    are correctly detected.
  * Grab last 100 lines of neutron log files if any tests fail to aid
    diagnosis.

 -- James Page <james.page@ubuntu.com>  Wed, 18 Mar 2015 21:50:25 +0000

neutron (1:2015.1~b2-0ubuntu3) vivid; urgency=medium

  * Drop patch from previous upload, switch autopkgtests to using mysql
    as the database backend instead as this is supported by upstream. 

 -- James Page <james.page@ubuntu.com>  Wed, 18 Mar 2015 16:28:05 +0000

neutron (1:2015.1~b2-0ubuntu2) vivid; urgency=medium

  * d/p/fix-alembic-migrations-with-sqlite.patch: Cherry pick patch from
    Debian to fixup db migrations under sqlite - this is used in
    autopkgtests (LP: #1429739).

 -- James Page <james.page@ubuntu.com>  Wed, 18 Mar 2015 13:40:40 +0000

neutron (1:2015.1~b2-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align with upstream dependencies.
    - d/p/disable-udev-tests.patch: Rebased.
    - d/p/pep-0476.patch: Dropped. Fixed upstream.

  [ James Page ]
  * d/neutron-common.install: Drop fwaas_driver.ini and vpnaas.filters, will
    provided by driver specific packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Feb 2015 09:59:01 +0000

neutron (1:2015.1~b1-0ubuntu7) vivid; urgency=medium

  * d/tests/*: Tidy up DEP-8 tests:
    - Drop linuxbridge and openvswitch tests, replace with ml2 test.
    - Split gateway agents into separate test case, ensure interface
      driver is correctly configured to avoid agent test failures.

 -- James Page <james.page@ubuntu.com>  Tue, 27 Jan 2015 12:22:12 +0000

neutron (1:2015.1~b1-0ubuntu6) vivid; urgency=medium

  * d/neutron-common.dirs: Create policy.d under /etc/neutron on
    install, resolving errors loading service plugins.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Jan 2015 09:20:49 +0000

neutron (1:2015.1~b1-0ubuntu5) vivid; urgency=medium

  * d/neutron-server.upstart.in: Re-introduce and update specific upstart
    configuration for neutron-server daemon due to complexity of loading
    plugin configuration files.
  * d/rules: Exclude disabled agents from --fail-missing clause, fixing
    FTBFS.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Jan 2015 15:03:44 +0000

neutron (1:2015.1~b1-0ubuntu4) vivid; urgency=medium

  * d/control,neutron-lbaas-agent.*
    d/tests/control: Drop LBaaS agent (moved to separate source package).
  * d/control,neutron-*vpn-agent.*,
    d/neutron-common.install: Drop VPN agent (moved to a separate
    source package), drop vpn_agent.ini from neutron-common.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Jan 2015 11:30:32 +0000

neutron (1:2015.1~b1-0ubuntu3) vivid; urgency=medium

  * d/tests: Drop testing of ryu plugin as its no longer packaged.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jan 2015 12:51:05 +0000

neutron (1:2015.1~b1-0ubuntu2) vivid; urgency=medium

  * Systemd enablement:
    - d/control: Add dh-systemd and openstack-pkg-tools to BD's.
    - d/rules: Enable use of pkgos, tidyup generated init files,
      override targets to deal with neutron-ovs-cleanup task.
    - d/*.init.in: Cherry pick pkgos template configurations from
      Debian neutron package (thanks Thomas), copy and adapt for
      other agents that are not covered by Debian packaging.
    - d/*.upstart.in: Specialize upstart configurations for agents
      which would like neutron-ovs-cleanup to run first.
    - d/*.upstart: Drop in preference to generated files.
    - d/*.service.in: Provide specialized systemd units for
      neutron-ovs-cleanup and neutron-plugin-openvswitch-agent.
  * d/control,compat: Bump debhelper compat level to 9.
  * d/*.logrotate,neutron-common.logrotate: Move to single logrotate
    configuration.
  * d/rules: Correct path for execution of unit tests.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Jan 2015 15:21:31 +0000

neutron (1:2015.1~b1-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * Open for vivid.
  * d/control: Update bzr branch. 
  * d/control: Add python-oslo.serialization build dependency.
  * d/control: Add python-oslotest as a build dependency.
  * d/patches/fix-neutron-configuration.patch: Refreshed
  * Remove ryu plugin.
  * d/control: Add python-oslo.middleware and python-oslo.i18n
    python-oslo.utils, python-testscenarios as depdenencies.

  [ James Page ]
  * d/watch: Update uversionmangle for kilo beta naming.
  * New upstream release
    - d/control: Add python-oslo-context to dependencies.
    - d/p/pep-0476.patch: Deal with PEP-0476 certificate
      chain checking.
  * d/control: Bumped Standards-Version to 3.9.6, no changes.

 -- James Page <james.page@ubuntu.com>  Tue, 06 Jan 2015 14:46:52 +0000

neutron (1:2014.2-0ubuntu1) utopic; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Oct 2014 15:29:53 +0100

neutron (1:2014.2~rc3-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * New upstream release candidate.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Oct 2014 11:23:42 -0400

neutron (1:2014.2~rc2-0ubuntu1) utopic; urgency=medium

  * New upstream release candidate:
    - d/p/*: Refresh.
  * Fixup optimized iptables management by l2 daemons (LP: #1379779):
    - d/neutron-common.install: Install ipset-firewall.filters to support
      use of ipset to optimize firewall rulebase management.
    - d/control: Add ipset to Depends of neutron-common.
  * d/watch: Only match versions starting with digits.

 -- James Page <james.page@ubuntu.com>  Fri, 10 Oct 2014 15:13:44 +0100

neutron (1:2014.2~rc1-0ubuntu1) utopic; urgency=medium

  * New upstream release candidate:
    - d/p/*: Refreshed.
    - d/control: Add python-requests-mock to BD's.
    - d/control: Align versioned requirements with upstream.
  * Transition linuxbridge and openvswitch plugin users to modular
    layer 2 plugin (LP: #1323729):
    - d/control: Mark removed plugin packages as transitional, depend
      on neutron-plugin-ml2, mark oldlibs/extra.
    - d/neutron-plugin-{linuxbridge,openvswitch}.install: Drop.
    - d/control: Depend on neutron-plugin-ml2 for linuxbridge
      agent package.
    - d/neutron-plugin-linuxbridge-agent.upstart: Use ml2 plugin
      configuration files.

 -- James Page <james.page@ubuntu.com>  Fri, 03 Oct 2014 18:45:23 +0100

neutron (1:2014.2~b3-0ubuntu4) utopic; urgency=medium

  * d/control: Add radvd to neutron-l3-agent Depends to support
    IPv6 subnet configurations.
  * d/control: Add keepalived to neutron-l3-agent Depends to support
    HA router configurations (LP: #1371137). 
  * d/control,neutron-plugin-opencontrail.install: Add plugin package for
    OpenContrail.
  * d/control,neutron-plugin-nuage.install: Add plugin package for Nuage.

 -- James Page <james.page@ubuntu.com>  Tue, 23 Sep 2014 09:31:51 +0100

neutron (1:2014.2~b3-0ubuntu3) utopic; urgency=medium

  * d/control: Align versioned dependencies to b3 release, wrap-and-sort. 
  * d/rules: Re-enable test suite.
  * d/rules: Enable auto-configuration of test concurrency.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Sep 2014 13:55:35 +0100

neutron (1:2014.2~b3-0ubuntu2) utopic; urgency=medium

  * debian/control: Fix typo in depdencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 10 Sep 2014 08:48:38 -0400

neutron (1:2014.2~b3-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control:
    - Dropped pep8, python-amqplib, python-configobj,
      python-lxml, python-mox,
      python-psutil, python-pyudev, and python-simplejson
    - Added python-keystonestone.
    - Bumped version depdenendices for alembic, python-anyjson,
      python-cliff, python-fixtures, python-keystoneclient,
      python-mock, python-novaclient, python-oslo.config,
      python-pbr, python-requests, python-stevedore,
      and testrepository,
    - Added version depdenencies for python-babel,
      python-hacking, python-httplib2, python-iso8601,
      python-oslo.messaging, python-oslo.db, python-six,
      python-sqlalchemy, python-webob, and python-webtest,
   * debian/neutron-plugin-sriov-agent: Add mellanox SRIOV agent.
   * debian/patches/disable-udev-tests.patch: Updated.
   * debian/rules: Temporarily disable tests.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 09 Sep 2014 11:56:35 -0400

neutron (1:2014.2~b2-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/patches/fix-neutron-configuration.patch: Refreshed
  * debian/control:
    - Removed python-d2to1 build dependency.
    - Add python-hacking build dependency.
    - Add python-oslo.messaging as a build dependency.
    - Add python-oslo.db as a build dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 25 Jul 2014 11:06:46 -0400

neutron (1:2014.2~b1-0ubuntu3) utopic; urgency=medium

  * SECURITY UPDATE: specify /etc/neutron/rootwrap.conf for use with
    nova-rootwrap
    - CVE-2013-1068 (LP: #1185019) 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 18 Jun 2014 12:43:51 -0400

neutron (1:2014.2~b1-0ubuntu2) utopic; urgency=medium

  * debian/tests/neutron-daemons: Dont test neutron-lbaas since
    it needs to be configured properly in order to run the tests.
    (LP: #1240712) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Jun 2014 10:25:04 -0400

neutron (1:2014.2~b1-0ubuntu1) utopic; urgency=medium

  [ Chuck Short ]
  * debian/control: Open up juno release
  * debian/patches/fix-quantum-configuration.patch: Refreshed
  * debian/patches/disable-udev-tests.patch: Refreshed
  * debian/patches/disable-failing-metaplugin-tests.patch: Dropped
  * debian/patches/skip-lb-test.patch: Dropped
  * debian/patches/skip-ipv6-tests.patch: Dropped
  * debian/control: Add pep8 as a dependency.
  * debian/patches/use-concurrency.patch: Dropped
  * debian/neutron-common.dirs: Add lock directory.
  * debian/neutron-plugin-vmware.install: Dropped neutron-check-nvp-config.
  * debian/rules: Remove last bits of quantum.
  * debian/neutron-common.install: Add neutron-sanity-check.

  [ Adrien Cunin ]
  * Renamed patch debian/patches/fix-{quantum,neutron}-configuration.patch
  * Removed references to Quantum in debian/cron.d/*'s comments
  * Removed debian/NEWS as it was only mentioning the now finished
    quantum/neutron name transition

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Jun 2014 15:10:36 -0400

neutron (1:2014.1-0ubuntu3) utopic; urgency=medium

  * Add allow-stderr autopkgtest restriction for the dpkg error spew.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 13 May 2014 09:37:40 +0200

neutron (1:2014.1-0ubuntu2) utopic; urgency=medium

  * Rebuild for sqlalchemy 0.9. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 08 May 2014 11:24:37 -0500


neutron (1:2014.1-0ubuntu1) trusty; urgency=medium

  [ Chuck Short ]
  * New upstream release (LP: #1288245).

 -- James Page <james.page@ubuntu.com>  Thu, 17 Apr 2014 13:04:17 +0100

neutron (1:2014.1~rc2-0ubuntu4) trusty; urgency=medium

  * d/neutron-vpn-agent.upstart: Wait for neutron-ovs-cleanup service to
    start if installed to ensure that Open vSwitch state is cleaned up
    on reboot (LP: #1307208). 

 -- James Page <james.page@ubuntu.com>  Mon, 14 Apr 2014 11:07:44 +0100

neutron (1:2014.1~rc2-0ubuntu3) trusty; urgency=medium

  * Fix the Breaks/Replaces from the previous version, as they were 
    accidentally added to the wrong package (and with the wrong versioning).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Apr 2014 23:36:09 +0000

neutron (1:2014.1~rc2-0ubuntu2) trusty; urgency=medium

  * Ensure that VPN and L3 agents are not installed together (LP: #1303876):
    - d/control: Add Conflicts on neutron-l3-agent to neutron-vpn-agent,
      drop dependency from neutron-vpn-agent -> neutron-l3-agent.
    - d/neutron-{common,vpn-agent,l3-agent}.install: Move configuration and
      rootwrap filters to -common package for use by both agent types.
    - d/control: Add appropriate Breaks/Replaces for config file moves.
    - d/neutron-vpn-agent.upstart: Include fwaas_driver.ini on config file
      path inline with l3-agent configuration.
    - d/control: Align Depends of neutron-vpn-agent with neutron-l3-agent.

 -- James Page <james.page@ubuntu.com>  Thu, 10 Apr 2014 14:34:18 +0100

neutron (1:2014.1~rc2-0ubuntu1) trusty; urgency=medium

  [ James Page ]
  * d/neutron-plugin-oneconvergence-agent.upstart: Rename upstart
    configuration to match package name (LP: #1301957).
  * d/neutron-vpn-agent.install: Install missing vpnaas.filters for
    rootwrap (LP: #1303876).

  [ Chuck Short ]
  * New upstream release candidate (LP: #1288245).

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 09 Apr 2014 08:51:40 -0400

neutron (1:2014.1~rc1-0ubuntu1) trusty; urgency=medium

  [ Chuck Short ]
  * debian/rules: Run testr init before tests.
  * debian/patches/disable-udev-tests.patch: Refresh.
  * d/control,neutron-plugin-oneconvergence*: Add One Convergence plugin
    and agent (LP: #1293632).

  [ James Page ]
  * New upstream release candidate (LP: #1288696, #1291535).
  * d/control,neutron-mlnx-plugin{-agent}.install: Split out Mellanox
    plugin configuration from agent package (LP: #1255420).
  * d/control,neutron-{plugin-}{vpn|metering}-agent.*: Drop -plugin from
    metering and vpn agents (they are not plugins) and deal with associated
    change in name of upstart configurations.
  * d/neutron-l3-agent.{install,upstart}: Install fwaas_driver.ini with
    l3-agent and add to config-file path in upstart configuration
    (LP: #1298676).
  * d/neutron-vpn-agent.upstart,control: Include l3_agent.ini on upstart
    config-file path, add dependency on neutron-l3-agent (LP: #1298675).

 -- James Page <james.page@ubuntu.com>  Tue, 01 Apr 2014 16:22:54 +0100

neutron (1:2014.1~b3-0ubuntu1) trusty; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * debian/rules: Re-enabled tests. 
  * debian/patches/requirements.patch: Dropped no longer needed.
  * debian/patches/sql-alchemy-0.8.3-compat.patch: Dropped no longer needed.
  * debian/patches/bump-sqlalchemy-version.patch: Dropped no longer needed.
  * debian/neutron-plugin-vmware.install: Install usr/bin/neutron-nsx-manage.
  * debian/patches/use-concurrency.patch: Set default concurrency to 1.

  [ James Page ]
  * d/control,neutron-plugin-ibm*: Add plugin and agent packages for IBM
    SDN-VE.
  * d/control,neutron-openflow-*: Add agent package for OpenFlow ML2 agent.
  * d/control,neutron-plugin-bigswitch-agent*: Add agent package for
    BigSwitch.
  * d/neutron-plugin-mlnx-agent.{upstart,logrotate}: Correct log path
    and add logrotate configuration (LP: #1284144).

  [ Corey Bryant ]
  * Renamed Nicira NVP plugin to VMware NSX (LP: #1273877):
    - debian/neutron-plugin-*.install: Update path and file for rename
    - debian/tests/*-plugin: Replace nicira-plugin with vmware-plugin
    - debian/control:
      + Change neutron-plugin-nicira to transtional package
      + Add neutron-plugin-vmware package which breaks/replaces
        neutron-plugin-nicira package.

 -- James Page <james.page@ubuntu.com>  Fri, 07 Mar 2014 09:38:32 +0000

neutron (1:2014.1~b2-0ubuntu6) trusty; urgency=medium

  * debian/rules: Temporarily disable testsuite due to upstream breakage. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Feb 2014 08:33:08 -0500

neutron (1:2014.1~b2-0ubuntu5) trusty; urgency=medium

  * debian/patches/disable-udev-tests.patch: Skip more tests 
    because of udev failures.
  * debian/patches/skip-ipv6-tests.patch: Skip tests that fail 
    on the buildds due to ipv6.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 03 Feb 2014 09:02:45 -0500

neutron (1:2014.1~b2-0ubuntu4) trusty; urgency=medium

  * debian/rules: Really run_tests.sh. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 30 Jan 2014 11:44:21 -0500

neutron (1:2014.1~b2-0ubuntu3) trusty; urgency=medium

  * debian/rules: Switch back to run_test.sh since locking
    issues have been fixed.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 30 Jan 2014 10:49:22 -0500

neutron (1:2014.1~b2-0ubuntu2) trusty; urgency=medium

  * debian/patches/skip-lb-test.patch: Skipped lb configuration
    test. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Jan 2014 12:01:50 -0500

neutron (1:2014.1~b2-0ubuntu1) trusty; urgency=low

  [ James Page ]
  * Switch to using Modular Layer 2 plugin by default:
    - d/control,neutron-plugin-ml2.install: Add ML2 plugin package
      (LP: #1243147).
    - d/p/fix-quantum-configuration,d/control,d/neutron-server.default:
      Switch to using the ML2 plugin by default.
    - d/control,neutron-plugin-openvswitch-agent:
      Use neutron-plugin-ml2 and configuration for openvswitch-agent.
  * d/neutron-plugin-mlnx-agent.upstart: Reference correct configuration
    file (LP: #1257732).
  * Add neutron-ovs-cleanup upstart configuration for OVS plugin
    (LP: #1249708):
    - d/rules: Install new configuration in neutron-plugin-openvswitch-agent
      package, don't restart on install/upgrade (only needed for reboots).
    - d/neutron-plugin-openvswitch-agent.upstart: Ensure startup happens
      after neutron-ovs-cleanup.
    - d/neutron-{l3|dhcp}-agent.upstart: If neutron-ovs-cleanup job is
      installed, wait for it to reach running state prior to starting
      agents.
  * d/control: Add versioned BD/Depends on python-psutil >= 0.6.1.
  * d/p/requirements.patch: Drop upper version boundary for psutil for
    compatibility with Trusty.
  * d/p/requirements.patch: Lift upper boundary for WebOb to < 1.4.
  * d/p/disable-failing-metaplugin-tests.patch: Disable metaplugin tests that
    are currently failing.
  * d/p/disable-ml2-notification-tests.patch: Dropped, tests now pass.
  * d/rules: Fail package build on unit test failures.
  * d/p/disable-failing-cisco-test.patch: Disable failing Cisco mechanism test.
  * d/control,d/p/remove-jsonrpclib.patch: Add BD on python-jsonrpclib and drop
    patch that excludes it from requirements.txt.

  [ Chuck Short ]
  * New upstream release.
  * debian/rules: Run testr directly
  * debian/patches/sql-alchemy-0.8.3-compat.patch: Fix tests sqlalchemy 0.8.3
    compat.
  * debian/neturon-nicira.install: Add usr/bin/neutron-check-nsx-config.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 24 Jan 2014 09:17:12 -0500

neutron (1:2014.1~b1-0ubuntu1) trusty; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * debian/control: open icehouse release.

  [ James Page ]
  * debian/patches: Refresh patches against upstream master. 
  * debian/control: Drop quantum-* transitional packages, no longer needed. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 05 Dec 2013 11:40:39 -0500

neutron (1:2013.2-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1236462).

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 17 Oct 2013 10:52:39 -0400

neutron (1:2013.2~rc3-0ubuntu1) saucy; urgency=low

  * New upstream release candidate (LP: #1240665).

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 16 Oct 2013 15:37:02 -0400

neutron (1:2013.2~rc2-0ubuntu1) saucy; urgency=low

  * New upstream release candidate (LP: #1239156).

 -- James Page <james.page@ubuntu.com>  Sat, 12 Oct 2013 16:51:28 +0100

neutron (1:2013.2~rc1-0ubuntu2) saucy; urgency=low

  * d/tests/control,neutron-server: Limit neutron-server tests to core
    neutron daemons to avoid tests failures for plugin agents which don't
    start correctly without additional configuration. 

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2013 23:05:05 +0100

neutron (1:2013.2~rc1-0ubuntu1) saucy; urgency=low

  [ Yolanda Robla ]
  * debian/tests: added testing agents

  [ Chuck Short ]
  * debian/patches/disable-udev-tests.patch: Refreshed.
  * debian/patches/disable-ml2-notification-tests.patch: Refreshed.
  * debian/control:
    - Dropped python-setuptools-git python-netifaces, and python-nose from
      build dependencies.
    - Dropped python-configobj, python-gflags from binary dependencies.
    - Added build python-requests python-six, and python-jinja2 build
      dependencies.
    - Added versioned dependencies for python-amqplib,
      python-pbr, python-novaclient, python-cliff,
      python-testtools, and python-eventlet.
    - Bumped versioned depends for python-stevedore, pyhton-novaclient,
      python-oslo.config, and testrepository

  [ James Page ]
  * New upstream release candidate:
    - d/patches: Refreshed.
  * d/rules: unpatch/patch neutron.conf around test execution to ensure that
    as many tests as possible actually pass.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2013 15:18:04 +0100

neutron (1:2013.2~b3-0ubuntu6) saucy; urgency=low

  * debian/rules: Dont ftbfs the tests if they fail. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 10 Sep 2013 20:37:18 -0400

neutron (1:2013.2~b3-0ubuntu5) saucy; urgency=low

  * debian/tests/neutron-daemons: Fix typo.
  * debian/rules: FTBFS if testsuite fails. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 10 Sep 2013 17:27:25 -0400

neutron (1:2013.2~b3-0ubuntu4) saucy; urgency=low

  * debian/patches/remove_jsonrpclib.patch: Remove jsonrpclib
    its not needed other than the arista driver. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 10 Sep 2013 15:19:22 -0400

neutron (1:2013.2~b3-0ubuntu3) saucy; urgency=low

  * debian/tests: Fixed autopkg tests. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 10 Sep 2013 12:10:05 -0400

neutron (1:2013.2~b3-0ubuntu2) saucy; urgency=low

  * debian/control, debian/neutron-plugin-vpn-agent.install,
    debian/neutron-plugin-vpn-agent.install: Add vpn agent.
  * debian/control, debian/usr/bin/neutron-metering-agent.install,
    debian/usr/bin/neutron-metering-agent.install: Add metering agent.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Sep 2013 22:35:59 -0400

neutron (1:2013.2~b3-0ubuntu1) saucy; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * debian/patches/fix-quantum-configuration.patch: Refreshed.
  * debian/patches/neutron-conf.patch: Dropped.
  * debian/patches/ignore-quantum-binaries.patch: Dropped
  * debian/control: Add python-babel as a build depends.
  * debian/neutron-common.install: Add neutron-usage-audit binary.
  * debian/rules: Pass the tests even if it fails, temporary measure 
    until we figure out why the tests fail.

  [ Adam Gandelman ]
  * debian/rules: Limit testr concurrency to 1 CPU.
  * debian/patches: Refresh.

  [ James Page ]
  * d/*.upstart: Added respawn stanza (LP: #1170393), tidied
    descriptions and rationalized stop on stanzas to be consistent.
  * d/neutron-dhcp-agent.install: Drop neutron-dhcp-agent-dnsmasq-lease-
    update inline with upstream.
  * d/rules: Ignore deprecated quantum binaries when checking for
    missing files.
  * d/control: Update/add versioned depends for upgrades:
    - python-anyjson >= 0.3.3
    - python-stevedore >= 0.9
    - python-oslo.config >= 1:1.2.0
    - python-keystoneclient >= 1:0.2.0
  * d/*: Wrap and sort.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Sep 2013 13:12:57 -0400

neutron (1:2013.2~b2-0ubuntu3) saucy; urgency=low

  * d/p/neutron-conf.patch: Cherry picked commit from upstream VCS which
    fixes a number of 'quantum' references across all configuration files. 
  * d/neutron_sudoers: Remove typo to re-enable passwordless sudo for neutron.
  * d/p/fix-quantum-conf.patch: Enable use of neutron-rootwrap by default,
    fixup problem with use of /var/lib/quantum for keystone signing_dir.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Jul 2013 16:09:08 +0100

neutron (1:2013.2~b2-0ubuntu2) saucy; urgency=low

  * d/neutron-server.upstart: Execute correct server binary, fixup
    use of flags in /etc/default/neutron-server.
  * d/p/bump-sqlalchemy-version.patch: Support SQLAlchemy >= 0.8 until
    upstream catches up.
  * Re-jig test disablement patches:
    - d/p/disable-udev-tests.patch: Disable tests that use udev as it
      is not always available.
    - d/p/disable-ml2-notification-tests.patch: Disable failing ML2 plugin
      tests pending further investigation.
  * d/p/fix-quantum-configuration.patch: Remove rej and orig cruft, re-added
    missing default core_plugin configuration.
  * d/control: Drop pep8 from BD's, no longer required.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Jul 2013 11:41:56 +0100

neutron (1:2013.2~b2-0ubuntu1) saucy; urgency=low

  [ Chuck Short ]
  * New upstream version.
  * debian/patches/fix-quantum-configuration.patch: Refreshed 
  * Renamed quantum -> neutron inline with upstream:
    - debian/neutron*.install: Update paths and files for rename.
    - debian/cron.d: Update for new neutron names.
    - debian/control: 
      + Add transtional packages.
      + Add breaks/replaces with previous versions of quantum.
  * debian/patches/fix-ubuntu-tests.patch: Refreshed
  * debian/patches/ignore-quantum-binaries.patch: Don't install quantum
    binaries.
  * Add new mlnx agent package.

  [ James Page ]
  * d/control: Update VCS fields for new branch locations.
  * d/NEWS: Let users know they need to migrate configuration manually as part
    of the quantum->neutron rename.
  * d/neutron-common.install: Include rootwrap for Xen dom0 installs.

  [ Adam Gandelman ]
  * debian/control: Set minimum python-kombu version >= 2.5.12.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 19 Jul 2013 12:11:18 -0400

quantum (1:2013.2~b1-0ubuntu2) saucy; urgency=low

  [ Adam Gandelman ]
  * debian/control:
    - Add version requirement to python-stevedore (>= 0.8), also add to
      python-quantum depends.
    - Add version requirement to python-fixtures (>= 0.3.12).
  * debian/patches/*: Refreshed.

  [ Yolanda Robla ]
  * debian/tests: added autopkg tests
 
  [Chuck Short]
  * debian/patches/fix-ubuntu-tests.patch: Rediff to skip tests
    that were randomly failing in the PPAS or locally.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 19 Jun 2013 12:06:15 -0500

quantum (1:2013.2~b1-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches/fix-quantum-configuration.patch: Refreshed
  * debian/control: Add testrepository.
  * debian/control: Add subunit.
  * debian/control: Add python-d21o1 and python-pbr as build-depends.
  * debian/control: Add python-stevedore.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 31 May 2013 09:37:25 -0500

quantum (1:2013.1-0ubuntu2) raring; urgency=low

  * Fix invalid multi-line cron jobs (LP: #1170312):
    - d/cron.d/*: Consolidate jobs into a single command line, set syntax
      highlighting to type 'crontab'. 

 -- James Page <james.page@ubuntu.com>  Mon, 22 Apr 2013 15:58:12 +0100

quantum (1:2013.1-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 04 Apr 2013 14:03:41 -0500

quantum (1:2013.1~rc2-0ubuntu1) raring; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 26 Mar 2013 08:33:56 -0500

quantum (1:2013.1~rc1-0ubuntu1) raring; urgency=low

  [ Chuck Short ]
  * debian/patches/fix-quantum-configuration.patch: Refreshed
  * debian/control: Add python-testtools and python-fixtures a build-dep.
  * debian/control: Drop python-gflags no longer needed.
  * debian/control: Drop python-unittest2 no longer needed.

  [ James Page ]
  * New upstream release candidate.
  * d/watch: Update uversionmangle to deal with upstream versioning
    changes, remove tarballs.openstack.org.
  * d/rules: Disable PEP-8 tests until fixed upstream.
  * d/control,quantum-plugin-midonet.install: Added plugin package for
    Midonet. 
  * d/control,quantum-lbaas-*: Added Load Balancing as-a Service agent
    package. 
  * d/control: Bumped Standards-Version, no changes.
  * d/p/fix-quantum-configuration.patch: Added midonet sqlite path to
    patch, fixed up linuxbridge path. 
  * d/p/fix-ubuntu-tests.patch: Re-added skipTest for linuxbridge tests
    that attempt to setup udev monitors.
  * d/quantum-metadata-agent.*: Refactor metadata-agent into separate
    package and add Depends from quantum-l3-agent and quantum-dhcp-agent.
  * d/quantum-plugin-nicira.install: Add quantum-check-nvp-config binary.
  * d/control: Add iputils-arping to quantum-l3-agent Depends (LP: #1153066).
  * d/control: python-oslo-config -> python-oslo.config.
  * d/control: Bump python-quantumclient >= 1:2.2.0 inline with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 15 Mar 2013 09:37:28 +0000

quantum (2013.1.g3-0ubuntu1) raring; urgency=low

  [ Adam Gandelman ]
  * debian/patches/fix-quantum-configuration.patch: Refreshed and update to
    reflect new global root_wrap configuration defined only in
    /etc/quantum/quantum.conf.
  * debian/patches/fix-ubuntu-tests.patch: Refreshed, added skipTests for
    linuxbridge tests that attempt to setup udev monitors.
  * debian/{control, quantum-server.install}: Drop quantum-ns-metadata-proxy,
    quantum-metadata-agent, quantum-debug from quantum-server package and set a
    Break/Replaces on the last quantum-server package that shipped them.
    (LP: #1112203)
  * debian/{control, quantum-plugin-nec.install}:  Drop rootwrap filters,
    only install /w the agent.
  * debian/control: Add Breaks/Replaces between quantum-plugin-nec and new
    quantum-plugin-nec-agent.

  [ Yolanda Robla ]
  * debian/patches: refreshed patches

  [ James Page ]
  * d/p/fix-quantum-configuration.patch: Add root_wrap helper to AGENT
    section of /etc/quantum/quantum.conf to support new global configuration.
  * d/control,quantum-plugin-{bigswitch,brocade,plumgrid}.install: Add new
    plugin packages for BigSwitch, Brocade, Hyper-V and PLUMgrid.
  * d/p/fix-quantum-configuration.patch: Set sqlite location for new plugins.
  * d/control,quantum-plugin-nec-agent.*: Add new plugin agent package for NEC.
  * d/quantum-common.install: Added new binaries and common rootwrap.d config.
  * d/control: Removed VCS fields, updated maintainer.
  * Wrapped and sorted debian/*.
  * d/control: Add BD on python-oslo-config.
  * d/control: Add BD on python-netifaces to fix RYU unit tests.

  [ Chuck Short ]
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Feb 2013 09:54:36 -0600

quantum (2013.1~g2-0ubuntu1) raring; urgency=low

  [ Chuck Short ]
  * New upstream version. 
  * debian/patches/fix-quantum-configuration.patch: Refreshed.

  [ Yolanda Robla ]
  * debian/quantum-l3-agent.quantum-metadata-agent.upstart: Add
    upstart configuration for Metadata Agent.
  * debian/quantum-l3-agent.install: Added quantum-ns-metadata-proxy,
    quantum-metadata-agent and metadata_agent.ini.
  * debian/patches/fix-quantum-configuration.patch: Update rootwrap
    configuration in metadata_agent.ini file.
  * debian/changelog: Updated package version
  * d/p/fix-quantum-configuration.patch: refresh patches
  * debian/patches/fix-ubuntu-tests.patch: Refreshed.
  * debian/control: added python-novaclient dependency

  [ James Page ]
  * d/*.install: Install entry points from bin directory instead
    of easy-install ones generated during the package build process
    (LP: #1085038).
  * d/control: Drop BD on python-dev-all; its not required.
  * d/rules: Install multiple upstart configurations for quantum-l3-agent.
  * d/control: Tidy package descriptions.
  * d/*.postrm: Drop as debhelper will generate update-rc.d calls in
    maintainer scripts if required.
  * d/quantum-common.postinst: Tweak permissions setting so that /etc/quantum
    is not owned/writable by the quantum user, ensure that /etc/quantum/rootwrap*
    is owned by root:root.
  * d/*agent*.postinst: Dropped as permissions now correctly set in
    quantum-common.
  * d/patches/fix-quantum-configuration.patch: Re-add dropped fixes rootwrap and
    sqlite defaults for all plugins.
  * d/control: Added new BD on alembic (>= 0.4.1~), version python-mock >= 1.0b1.

  [ Maru Newby ]
  * debian/control: Remove unnecessary openvswitch-vswitch dependency
    from quantum-plugin-openvswitch (LP: #1076747).

 -- Yolanda Robla <yolanda.robla@canonical.com>  Tue, 22 Jan 2013 11:40:00 +0100

quantum (2013.1~g1-0ubuntu1) raring; urgency=low

  [ Adam Gandelman ]
  * debian/patches/*: Refreshed for opening of Grizzly.

  [ Chuck Short ]
  * New upstream release.
  * debian/rules: FTFBS if there is missing binaries.
  * debian/quantum-server.install: Add quantum-debug.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 23 Nov 2012 09:43:14 -0600

quantum (2012.2-0ubuntu1) quantal; urgency=low

  [ Chuck Short ]
  * New upstream release. 

  [ Adam Gandelman ]
  * debian/cron.d/quantum-{l3, dhcp]-agent-netns-cleanup: Schedule hourly
    cleanups of leaked Quantum network namespsaces using the
    quantum-netns-cleanup utility.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Sep 2012 13:19:33 -0500

quantum (2012.2~rc3-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 26 Sep 2012 15:14:31 -0500

quantum (2012.2~rc2-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * debian/quantum-server.{default, upstart}: Use default file to specify
    path to plugin config, which is passed to quantum-server as
    '--config-file' during startup. (LP: #1009294)
  * debian/control:
    - Remove quantum-server's dependency on 'quantum-plugin'.
    - Specify >= 1:0.1.0.1-0ubuntu1 requirement for python-quantumclient.
    - Add dnsmasq dependencies to quantum-dhcp-agent Depends.

  [ Chuck Short ]
  * New upstream version.
  * debian/patches/fix-ubuntu-tests.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 21 Sep 2012 13:01:18 -0500

quantum (2012.2~rc1-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * debain/*.postrm: Fix argument-less calls to update-rc.d, redirect
    to /dev/null.  (LP: #1047560)
  * debian/quantum-server.upstart: Invoke start-stop-daemon properly.
    (LP: #1047404)
  * debain/*.postrm, *.upstart: Ensure files are named for corresponding
    agent package, not plugin package.
  * debian/control:
    - Group agents with plugins.
    - Fix some copy/paste mistakes.
    - Set dependencies between agents and corresponding plugins.
    - Recommend quantum-plugin-openvswitch for quantum-server.
    - Require the same version of quantum-common and python-quantum.
    - Add quantum-netns-cleanup utility to quantum-common.
  * debian/patches/fix-quantum-configuration.patch: Use correct database
    for linuxbridge plugin, use OVS plugin by default, call quantum-rootwrap
    correctly. (LP: #1048668)
  * Fix all use of /usr/sbin, things should go in /usr/bin.
  * Remove dhcp and l3 plugins, they are not actually plugins.
  * Rename packages quantum-plugin-{l3, dhcp}-agent to
    quantum-{l3, dhcp}-agent.
  * debain/quantum-*-agent.upstart: Specify config files as a
    parameter to --config-file, specify log files for all.
  * debian/*.logrotate: Add logrotate configs for server and agents.
  * Install quantum_sudoers with quantum-common, not quantum-server.
  * Install rootwrap filters only with the packages that require them.
  * debian/*-agent.upstart: Specify --config-file=/etc/quantum/quantum.conf
    in addition to plugin-specific config.  Specify log files for all agents.
  * Allow group 'adm' read access to /var/log/quantum.
  * debian/quantum-server.postinst: Drop, all has been moved to quantum-common.
  * Add packaging for quantum-plugin-nec.

  [ Chuck Short ]
  * New usptream release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 12 Sep 2012 13:41:20 -0500

quantum (2012.2~rc1~20120907.1154-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * debian/control: Add missing python-keystone dependency.
  * wrap-and-sort.

  [ Chuck Short ]
  * debian/rules:
    - Run testsuite on build.
    - Use get-orig-source.
    - Add python-amqplib, python-anyjson, python-httplib2, python-iso8601,
      python-kombu, python-lxml, python-netadr, python-pyudev to build depends
      and run time deps.
    - Add python-mock, python-mox, and python-unitest2 to build deps.
    - Add adduser as a dep to quantum-common.
  * debian/control: Bump standards version to 3.9.3
  * debian/quantum-common.install: Add missing configuration files.
    (LP: #988999)
  * debian/quantum-plugin-linuxbridge.install: Make isntallable.
  * Add manpages: gratitously ripped from debian.
  * Fix up lintian warnings. (LP: #1025203), (LP: #1021921)
  * Add metaplugin plugin.
  * debian/patches/fix-namespace.patch: Dropped it was causing
    python namespace issues.
    (LP: #1045064)
  * debian/*.upstart:
    - Specify configuration file and log directory.
    - Start on the right transition.
  * debian/rules:
    - Allow to disable testsuite.
    - Dont fail if the testsuite fails.
  * debian/patches/fix-quantum-configuration.patch: Fix configuration files.
  * Add packaging for quantum-plugin-l3 and quantum-plugin-l3-agent
  * Add packaging for quantum-plugin-dhcp-agent and quantum-plugin-dchp-agent
  * debian/patches/fix-ubuntu-tests.patch: Fix testsuite failures.

  [ Soren Hansen ]
  * Update debian/watch to account for symbolically named tarballs and
    use newer URL.
  * Add python-configobj as a build and run time dependency. Recently added
    tests need it, and the Cisco plugin has needed it for a while.
  * Fix Launchpad URLs in debian/watch.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 07 Sep 2012 18:50:09 -0500

quantum (2012.2~f3-0ubuntu1~cloud0) precise-folsom; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 17 Aug 2012 10:42:58 -0500

quantum (2012.2~f2-0ubuntu1~cloud0) precise-folsom; urgency=low

  [ Chuck Short ]
  * New upstream release.

  [ Adam Gandelman ]
  * debian/control, pydist-overrides: Add python-setuptools-git as a
    Build-Depends, override as necessary. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jul 2012 12:41:43 -0400

quantum (2012.2~f1-0ubuntu1~cloud0) precise-folsom; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * Add missing upsart jobs for agents. 
  * Add sudo wrapper for quantum-rootwrap. (LP: #999142)

  [ Adam Gandelman ]
  * debian/control: Fix spacing issues that cause mk-build-deps to fail.
  * debian/quantum-server.install: Install new plugins config directory
    instead of old .ini.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Jun 2012 12:49:23 -0400

quantum (2012.1-0ubuntu1) precise; urgency=low

  [Adam Gandelman]
  * Open precise-folsom-proposed.
  * Merge with current precise-folsom-folsom-proposed.

  [Chuck Short]
  * New upstream release.
  * Add missing upsart jobs for agents. 
  * Add sudo wrapper for quantum-rootwrap. (LP: #999142)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 01 Jun 2012 10:26:49 -0400

quantum (2012.1-0ubuntu4) precise; urgency=low

  * debian/control: Add breaks replaces since files have moved around. 
  * Fix typo in upstart job.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Apr 2012 11:23:38 -0400

quantum (2012.1-0ubuntu3) precise; urgency=low

  * Split out agents into its own packages. (LP: #979192) 
    Thanks to Ghe Rivero.
  * Add upstart job. (LP: #979190)
  * Fix installation issues. (LP: #979159)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Apr 2012 13:39:06 -0400

quantum (2012.1-0ubuntu2) precise; urgency=low

  * Fix lintian warnings about empty packages. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Apr 2012 22:14:42 -0400

quantum (2012.1-0ubuntu1) precise; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 05 Apr 2012 11:07:46 -0400

quantum (2012.1~rc2-0ubuntu1) precise; urgency=low

  *  New upstream release: 
     - debian/quantum-plugin-{ryu,openvswitch}.install: 
       Install agents.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Apr 2012 20:29:11 -0400

quantum (2012.1~rc1-0ubuntu5) precise; urgency=low

  * Add missing files. (LP: #972019, LP: #971981, LP: #960731) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 02 Apr 2012 20:29:29 -0400

quantum (2012.1~rc1-0ubuntu4) precise; urgency=low

  * Make quantum installable again (LP: #965551):
    - debian/control: quantum-server depends on quantum-common.
    - debian/control: Add python-quantumclient dependency.
    - debian/upstart: Rename and update upstart job.
    - Fix typos in debian/quantum-common.postinst.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 30 Mar 2012 14:14:42 -0400

quantum (2012.1~rc1-0ubuntu3) precise; urgency=low

  * debian/control: Fix spelling typos. (LP: #960713) 

 -- Paolo Rotolo <paolorotolo@ubuntu-it.org>  Fri, 23 Mar 2012 21:35:54 +0100

quantum (2012.1~rc1-0ubuntu2) precise; urgency=low

  * debian/control: Fix spelling typos.
  * debian/upstart: Fix typo in upstart job
  * debian/control: Rename quantum to quantum-server again.
  * debian/control: Fix empty plugins.
  * debian/upstart: use start-stop-daemon in upstart job.
  * debian/patches/fix-namespace.patch: Fix namespace patch
  * debian/control: Update vcs info. (LP: #960690)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 20 Mar 2012 13:58:24 -0400

quantum (2012.1~rc1~20120316.764-0ubuntu1) precise; urgency=low

  * New upstream release. 
  * debian/watch: Watch correct URL

 -- Adam Gandelman <adamg@canonical.com>  Fri, 16 Mar 2012 12:04:48 -0700

quantum (2012.1~e4-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/rules: Take in account the new build changes.
  * debian/quantum-server.install: Install the right files due to 
    build changes.
  * Client no longer is a part of quantum.
  * debian/control: Add python-lxml
  * Add ryu and niciria plugins.
  * debian/rules: Run right tests script.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 05 Mar 2012 09:47:22 -0500

quantum (2012.1~e2+git20120112-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/rules: 
    - Fix git snapshot creation.
    - Fix running test suite during the build.
  * debian/control: Add adduser for quantum-server.
  * debian/quantum-plugin-{cisco,openvswitch}.install: Install
    everything needed for the plugins.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Jan 2012 04:19:33 -0500

quantum (2012.1~e2-0ubuntu2) precise; urgency=low

  * debian/control: Build for architecture all. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 19 Dec 2011 10:28:16 -0500

quantum (2012.1~e2-0ubuntu1) precise; urgency=low

  * New upstream release. 
  * debian/rules: Add alternate get-orig-source.
  * debian/patches/fix-version.patch: Removed no longer needed.
  * Fix lintian warnings.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 16 Dec 2011 15:26:41 -0500

quantum (2012.1~e2~20111209.f8152-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/rules, debian/README.Source: Add support fo generating
    new tarballs from git since tarball snapshots are not available
    from jenkins yet.
  * debian/rules: Update for new build system.
  * debian/rules: Clean up files when running clean.
  * debian/quantum-server.install, debian/quantum-server.dirs, 
    debian/quantum-plugins.*: Update for build system changes.
  * debian/quantum-server.postinst: Fix user creation.
  * debian/rules: Enable testsuite when building.
  * Fix lintian errors (LP: #899352)
  * debian/patches/fix-quantum-version.patch: Fix generating *.pyc
    when trying to build.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 09 Dec 2011 15:31:35 -0500

quantum (2012.1~e1-0ubuntu1) precise; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 18 Nov 2011 15:29:53 -0500
